Bug 1008059 - Review Request: xfce4-whiskermenu-plugin - An alternate application launcher for Xfce
Review Request: xfce4-whiskermenu-plugin - An alternate application launcher ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 00:33 EDT by Eduardo Echeverria
Modified: 2013-11-10 02:30 EST (History)
3 users (show)

See Also:
Fixed In Version: xfce4-whiskermenu-plugin-1.1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 20:50:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eduardo Echeverria 2013-09-14 00:33:04 EDT
Spec URL: http://echevemaster.fedorapeople.org/xfce4-whiskermenu-plugin/xfce4-whiskermenu-plugin.spec
RPMS URL: http://echevemaster.fedorapeople.org/xfce4-whiskermenu-plugin/xfce4-whiskermenu-plugin-1.1.1-1.fc19.src.rpm
Description: Alternate application launcher for Xfce. When you open it you are shown a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between.
Additionally, Whisker Menu keeps a list of the last ten applications
that you’ve launched from it

Fedora Account System Username: echevemaster
Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5933959
Comment 1 Yohan Graterol 2013-10-08 22:13:56 EDT
-----------------------------------
PACKAGE APPROVED
-----------------------------------
Comment 2 Yohan Graterol 2013-10-08 22:37:06 EDT
Ignore Warning!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
 
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xfce4-whiskermenu-plugin
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfce4-whiskermenu-plugin-1.1.1-1.fc21.x86_64.rpm
          xfce4-whiskermenu-plugin-1.1.1-1.fc21.src.rpm
xfce4-whiskermenu-plugin.x86_64: W: spelling-error %description -l en_US ve -> be, v, e
xfce4-whiskermenu-plugin.x86_64: W: no-manual-page-for-binary xfce4-popup-whiskermenu
xfce4-whiskermenu-plugin.src: W: spelling-error %description -l en_US ve -> be, v, e
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xfce4-whiskermenu-plugin
xfce4-whiskermenu-plugin.x86_64: W: spelling-error %description -l en_US ve -> be, v, e
xfce4-whiskermenu-plugin.x86_64: W: no-manual-page-for-binary xfce4-popup-whiskermenu
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
xfce4-whiskermenu-plugin (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libexo-1.so.0()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgarcon-1.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangoxft-1.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxfce4panel-1.0.so.4()(64bit)
    libxfce4ui-1.so.0()(64bit)
    libxfce4util.so.6()(64bit)
    rtld(GNU_HASH)
    xfce4-panel



Provides
--------
xfce4-whiskermenu-plugin:
    libwhiskermenu.so()(64bit)
    xfce4-whiskermenu-plugin
    xfce4-whiskermenu-plugin(x86-64)


-----------------------------------
PACKAGE APPROVED
-----------------------------------
Comment 3 Eduardo Echeverria 2013-10-10 00:46:36 EDT
New Package SCM Request
=======================
Package Name: xfce4-whiskermenu-plugin
Short Description:  An alternate application launcher for Xfce
Owners: echevemaster
Branches: f18 f19 f20
InitialCC:
Comment 4 Gwyn Ciesla 2013-10-10 08:04:26 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-10-12 00:16:42 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-whiskermenu-plugin-1.1.1-1.fc20
Comment 6 Fedora Update System 2013-10-12 00:17:46 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-whiskermenu-plugin-1.1.1-1.fc19
Comment 7 Fedora Update System 2013-10-12 00:18:40 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-whiskermenu-plugin-1.1.1-1.fc18
Comment 8 Fedora Update System 2013-10-13 15:54:14 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-10-23 20:50:50 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-10-23 20:56:12 EDT
xfce4-whiskermenu-plugin-1.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-11-10 02:30:59 EST
xfce4-whiskermenu-plugin-1.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.